Skip to main content

GET /v1/youtube/web_v2/get_video_comments

Get video comments

stable · 2 credits per success

Get YouTube video first-level comments;📌 Required;*video_id** (string);**Purpose**: Video ID;**Format**: YouTube video ID string;**Example**: `"oaSNBz4qMQY"`;**How to get**: Extract from URL `https://www.youtube.com/watch?v=oaSNBz4qMQY`;⚙️ Optional;*language_code** (string, optional);**Purpose**: Set language preference for comments;**Default**: `"zh-CN"`;**Values**: `"zh-CN"`, `"en-US"`, `"ja-J…

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/youtube/web_v2/get_video_comments?sort_by=top&video_id=LuIL5JATZsc&need_format=true&country_code=US&language_code=zh-CN&continuation_token=demo' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
comments[ 2 items ]
continuation_token:
"Eg0SC0x1SUw1SkFUWnNjGAYyhAMKxwJnZXRfcmFua2VkX3N0cmVhbXMtLUNxVUJDSUFFRlJlMzBUZ2Ft..."
}
meta{
endpoint:"youtube.web_v2.get_video_comments"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    sort_bystringqueryno排序方式 | Sort bytop
    video_idstringqueryyes视频IDLuIL5JATZsc
    need_formatbooleanqueryno是否需要清洗数据,提取关键内容,移除冗余数据true
    country_codestringqueryno国家代码(如US, JP等)US
    language_codestringqueryno语言代码(如zh-CN, en-US等)zh-CN
    continuation_tokenstringqueryno翻页令牌demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All YouTube endpoints →

    Search

    Search endpoints and docs